
from enthought.qt import QtCore

BUTTON_NAME_MAP = {
    QtCore.Qt.LeftButton: "left",
    QtCore.Qt.RightButton: "right",
    QtCore.Qt.MidButton: "middle",
}

# TODO: Create bitmap cursor for the following:
#   arrow wait
#   bullseye
#   char
#   magnifier
#   paint brush
#   pencil
#   point left
#   point right
#   right arrow
#   spray can

POINTER_MAP = {
   'arrow':            QtCore.Qt.ArrowCursor,
   'arrow wait':       QtCore.Qt.BusyCursor,
   'blank':            QtCore.Qt.BlankCursor,
   'bullseye':         QtCore.Qt.CrossCursor,
   'char':             QtCore.Qt.IBeamCursor,
   'cross':            QtCore.Qt.CrossCursor,
   'hand':             QtCore.Qt.PointingHandCursor,
   'ibeam':            QtCore.Qt.IBeamCursor,
   'left button':      QtCore.Qt.ArrowCursor,
   'magnifier':        QtCore.Qt.CrossCursor,
   'middle button':    QtCore.Qt.ArrowCursor,
   'no entry':         QtCore.Qt.ForbiddenCursor,
   'paint brush':      QtCore.Qt.ArrowCursor,
   'pencil':           QtCore.Qt.CrossCursor,
   'point left':       QtCore.Qt.ArrowCursor,
   'point right':      QtCore.Qt.ArrowCursor,
   'question arrow':   QtCore.Qt.WhatsThisCursor,
   'right arrow':      QtCore.Qt.ArrowCursor,
   'right button':     QtCore.Qt.ArrowCursor,
   'size bottom':      QtCore.Qt.SizeVerCursor,
   'size bottom left': QtCore.Qt.SizeBDiagCursor,
   'size bottom right':QtCore.Qt.SizeFDiagCursor,
   'size left':        QtCore.Qt.SizeHorCursor,
   'size right':       QtCore.Qt.SizeHorCursor,
   'size top':         QtCore.Qt.SizeVerCursor,
   'size top left':    QtCore.Qt.SizeFDiagCursor,
   'size top right':   QtCore.Qt.SizeBDiagCursor,
   'sizing':           QtCore.Qt.SizeAllCursor,
   'spray can':        QtCore.Qt.CrossCursor,
   'wait':             QtCore.Qt.WaitCursor,
   'watch':            QtCore.Qt.BusyCursor,
}

KEY_MAP = {
    QtCore.Qt.Key_Escape: "Esc",
    QtCore.Qt.Key_Tab: "Tab",
    QtCore.Qt.Key_Backtab: "Backtab",
    QtCore.Qt.Key_Backspace: "Backspace",
    QtCore.Qt.Key_Return: "Enter",
    QtCore.Qt.Key_Enter: "Enter",
    QtCore.Qt.Key_Insert: "Insert",
    QtCore.Qt.Key_Delete: "Delete",
    QtCore.Qt.Key_Pause: "Pause",
    QtCore.Qt.Key_Print: "Print",
    QtCore.Qt.Key_SysReq: "Sysreq",
    QtCore.Qt.Key_Clear: "Clear",
    QtCore.Qt.Key_Home: "Home",
    QtCore.Qt.Key_End: "End",
    QtCore.Qt.Key_Left: "Left",
    QtCore.Qt.Key_Up: "Up",
    QtCore.Qt.Key_Right: "Right",
    QtCore.Qt.Key_Down: "Down",
    QtCore.Qt.Key_PageUp: "Page Up",
    QtCore.Qt.Key_PageDown: "Page Down",
    # We don't pass these on so we don't bother having entries for them.
    #QtCore.Qt.Key_Shift: "Shift",
    #QtCore.Qt.Key_Control: "Control",
    #QtCore.Qt.Key_Alt: "Alt",
    #QtCore.Qt.Key_AltGr: "Alt",
    QtCore.Qt.Key_Meta: "Meta",
    QtCore.Qt.Key_CapsLock: "Caps Lock",
    QtCore.Qt.Key_NumLock: "Num Lock",
    QtCore.Qt.Key_ScrollLock: "Scroll Lock",
    QtCore.Qt.Key_F1:  "F1",
    QtCore.Qt.Key_F2:  "F2",
    QtCore.Qt.Key_F3:  "F3",
    QtCore.Qt.Key_F4:  "F4",
    QtCore.Qt.Key_F5:  "F5",
    QtCore.Qt.Key_F6:  "F6",
    QtCore.Qt.Key_F7:  "F7",
    QtCore.Qt.Key_F8:  "F8",
    QtCore.Qt.Key_F9:  "F9",
    QtCore.Qt.Key_F10:  "F10",
    QtCore.Qt.Key_F11:  "F11",
    QtCore.Qt.Key_F12:  "F12",
    QtCore.Qt.Key_F13:  "F13",
    QtCore.Qt.Key_F14:  "F14",
    QtCore.Qt.Key_F15:  "F15",
    QtCore.Qt.Key_F16:  "F16",
    QtCore.Qt.Key_F17:  "F17",
    QtCore.Qt.Key_F18:  "F18",
    QtCore.Qt.Key_F19:  "F19",
    QtCore.Qt.Key_F20:  "F20",
    QtCore.Qt.Key_F21:  "F21",
    QtCore.Qt.Key_F22:  "F22",
    QtCore.Qt.Key_F23:  "F23",
    QtCore.Qt.Key_F24:  "F24",
    QtCore.Qt.Key_A:  "a",
    QtCore.Qt.Key_B:  "b",
    QtCore.Qt.Key_C:  "c",
    QtCore.Qt.Key_D:  "d",
    QtCore.Qt.Key_E:  "e",
    QtCore.Qt.Key_F:  "f",
    QtCore.Qt.Key_G:  "g",
    QtCore.Qt.Key_H:  "h",
    QtCore.Qt.Key_I:  "i",
    QtCore.Qt.Key_J:  "j",
    QtCore.Qt.Key_K:  "k",
    QtCore.Qt.Key_L:  "l",
    QtCore.Qt.Key_M:  "m",
    QtCore.Qt.Key_N:  "n",
    QtCore.Qt.Key_O:  "o",
    QtCore.Qt.Key_P:  "p",
    QtCore.Qt.Key_Q:  "q",
    QtCore.Qt.Key_R:  "r",
    QtCore.Qt.Key_S:  "s",
    QtCore.Qt.Key_T:  "t",
    QtCore.Qt.Key_U:  "u",
    QtCore.Qt.Key_V:  "v",
    QtCore.Qt.Key_W:  "w",
    QtCore.Qt.Key_X:  "x",
    QtCore.Qt.Key_Y:  "y",
    QtCore.Qt.Key_Z:  "z",
}
